package com.ruoyi.file.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 专题管理对象 files_topic
 * 
 * @author cmc
 * @date 2022-09-05
 */
public class FilesTopic extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 专题id */
    private String id;

    /** 专题名称 */
    @Excel(name = "专题名称")
    private String topicName;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setTopicName(String topicName) 
    {
        this.topicName = topicName;
    }

    public String getTopicName() 
    {
        return topicName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("topicName", getTopicName())
            .toString();
    }
}
